/* Main */
main {
    padding: 0 var(--main-padding);
}

/* Title area */
.page-header {
    max-width: var(--wide-size);
    margin: 3rem auto 2rem;
    position: relative;
}
body.home .page-header {
    min-height: 80vh;
    display: flex;
    flex-direction: column;
    justify-content: center;
}
@media(max-width: 768px) {
    body.home .page-header {
        min-height: 60vh;
        margin-bottom:0;
    }
}
.title-bg {
    position: absolute;
    top: 50%;
    left: 50%;
    width: 60%;
    mix-blend-mode: multiply;
    opacity: 0.1;
    transform: translate(-50%, -50%);
    z-index: -1;
}
.page-header__inner {
    position: relative;
    height: auto;
    align-items: center;
    margin:0 auto;
}

.page-header__inner_title {
    width: 100%;
    display: flex;
    flex-direction: column;
    text-align: left;
    align-items: flex-start;
    max-width: var(--content-size);
    margin: 0 auto;
    color: var(--color-text);
}
.page-header__inner_title h1, .page-header__inner_title h2 {
    max-width: 980px;
    color: #3F0073;
    letter-spacing: -2%;
}
body.home .page-header__inner_title h1:not(.page-title-mini), body.home .page-header__inner_title h2 {
    max-width: 980px;
    background: radial-gradient(circle farthest-side at 50% 26%, rgba(255, 255, 255, 0.09) 50%, rgba(255, 255, 255, 0) 50%, rgba(255, 255, 255, 0) 100%) padding-box text, radial-gradient(circle at 85% 55%, rgba(255, 255, 255, 0.157) 50%, rgba(255, 255, 255, 0) 50%, rgba(255, 255, 255, 0) 100%), radial-gradient(circle at 9% 90%, rgba(255, 255, 255, 0) 0%, rgba(255, 255, 255, 0) 50%, rgba(255, 255, 255, 0.12) 50%), linear-gradient(to right top, rgb(255, 86, 56) 17%, rgb(83, 2, 197) 60%, rgb(45, 0, 97) 94%);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}
.page-header__inner_title p {
    margin: 0 0 .5rem;
    font-size: clamp(18px, 3vw, 22px);
    max-width: 780px;
}
.page-header__inner_title ul, .page-header__inner_title ol {
    font-size: clamp(16px, 3vw, 22px);
    margin:0 0 1rem;
}
.page-header__inner_title .page-title {
    font-size: clamp(34px, 5vw, 64px);
    font-weight: 500;
    line-height: 1.2;
    margin: 1rem 0 2rem;
}
.page-header__inner_title .page-title-mini {
    font-size: var(--font-size-sm);
    font-weight: 400;
    color:var(--color-primary);
    text-transform: uppercase;
    letter-spacing: 0.07em;
    margin: 0 0 0.5rem;
    padding: 0.4rem 1rem;
    border: 2px solid var(--color-primary);
    border-radius: 0.3rem;
    -webkit-background-clip: none;
    -webkit-text-fill-color: none;
}
body.home .page-header__inner_title {
    justify-content: center;
    text-align: center;
    align-items: center;
}
body.home .page-title {
    font-size: clamp(54px, 12vw, 160px);
    line-height: 1;
}

/* Title area Post */
body.single-post .page-header {
    margin: 0 auto clamp(.1rem, 4vw, 2rem);
}
body.single-post .wp-block-post-featured-image :where(img) {
    border-radius: var(--border-radius-rounded);
    margin-bottom: 4rem;
}
body.single-post .page-header__inner {
    position: relative;
    height: auto;
    align-items: center;
    margin:0 auto;
    padding: 3rem 0 0;
    background-image:none;
}
body.single-post .page-header__inner_title {
    color:var(--color-text);
    mix-blend-mode: normal;
}
/* Nyhetsbrev */
form#nyhetsbrev {
    display: flex;
    margin: .5rem auto;
}
.page-header form#nyhetsbrev {
    margin: .5rem 0;
    justify-content: flex-start;
    max-width: 600px;
    width:100%;
}
label.hideinput {
    display: none;
}
input#SubscriberForm_email {
    font-size: var(--font-size-base);
    font-family: inherit;
    background: none;
    padding: .75rem 1rem;
    border:2px solid var(--color-primary);
    color: var(--color-text);
    border-radius: var(--btn-radius);
    width: 100%;
    box-sizing: border-box;
    margin-right: 1rem;
}
input#SubscriberForm_SubmitButton {
    font-size: var(--font-size-base);
    font-family: inherit;
    background:none;
    border:2px solid var(--color-primary);
    color: var(--color-primary);
    padding: .75rem 2rem;
    border-radius: var(--btn-radius);
    cursor: pointer;
    transition: background-color 0.3s ease;
}
input#SubscriberForm_SubmitButton:hover {
    background-color: var(--color-primary);
    color: var(--color-background);
}
.home-hero form#nyhetsbrev, .page-header form#nyhetsbrev {
    z-index: 2;
}
.home-hero input#SubscriberForm_email, .page-header input#SubscriberForm_email {
    font-size: var(--font-size-lg);
    background: none;
    padding: .75rem 1rem;
    border:2px solid var(--color-primary);
    color: var(--color-primary);
    border-radius: var(--btn-radius);
    width: 100%;
    box-sizing: border-box;
    margin-right: 1rem;
}
.home-hero input#SubscriberForm_email::placeholder, .page-header input#SubscriberForm_email::placeholder {
    color: var(--color-primary);
    opacity: 0.7;
}
.home-hero input#SubscriberForm_SubmitButton, .page-header input#SubscriberForm_SubmitButton {
    font-size: var(--font-size-lg);
    background:none;
    border:2px solid var(--color-primary);
    color: var(--color-primary);
    padding: .75rem 2rem;
    border-radius: var(--btn-radius);
    cursor: pointer;
    transition: background-color 0.3s ease;
}
.home-hero input#SubscriberForm_SubmitButton:hover, body.home input#SubscriberForm_SubmitButton:hover {
    background-color: var(--color-primary);
    color: var(--color-background);
}

/* Page Content */
.page-content {
    padding-top: 2.5rem;
}
@media screen and (max-width: 768px) {
    .page-content {
        padding-top: .5rem;
    }
    
}
body.home .page-content {
    padding-top: 0;
}